[GLOBAL_DESCRIPTION]
NAME=GPS
KIND=EFB
SUBKIND=NONE
VERSION_MAJOR=1
VERSION_MINOR=2
ONLINE_REMOVE=TRUE
ONLINE_ADD=TRUE
ERASED_VAR_ON_INIT=FALSE
TASK_WHERE_INSERT=0
IEC_COMPLIANT=FALSE
MOVEABLE=TRUE
SINGLE_INVOCATION=FALSE
HELPTOPICSID=
EFB_SYSTEM_ENTRY_POINT_ACTIVE=FALSE
REQUIRED_BLOCK_SIZE=0
DIAGNOSTIC=0
GRAPHICAL_HEIGHT=
GRAPHICAL_WIDTH=
ANY_IMPLEMENTATION=BY_SIZE
STACK_USE=64,64
LAST_VALIDATION_DATE=2007, 07, 19, 11, 03, 11
NB_EXPANDED_PROTOTYPES=0

[PUBLIC_VARIABLES]
VAR1=GPS_DATA,GpsCardData
INIT_VAL1=
COMMENT1=Data from the GPS card
SAVE1=FALSE
ACCESS_RIGHT_HMI1=READ_WRITE
ACCESS_RIGHT_USER1=READ_WRITE
VAR2=PULSE,GpsPulse
INIT_VAL2=
COMMENT2=Pulse outputs for various time bases
SAVE2=FALSE
ACCESS_RIGHT_HMI2=READ_WRITE
ACCESS_RIGHT_USER2=READ_WRITE

[INTERNAL_VARIABLES]
VAR1=LAST_SEC,INT
INIT_VAL1=
COMMENT1=The second value from the last scan
SAVE1=FALSE
VAR2=OLD_PLC,INT
INIT_VAL2=
COMMENT2=
SAVE2=FALSE
VAR3=OLD_GPS,INT
INIT_VAL3=
COMMENT3=
SAVE3=FALSE
VAR4=SCHEDULE,INT
INIT_VAL4=
COMMENT4=
SAVE4=FALSE
VAR5=C_STATE,INT
INIT_VAL5=
COMMENT5=
SAVE5=FALSE
VAR6=WATCHDOG,INT
INIT_VAL6=
COMMENT6=
SAVE6=FALSE
VAR7=ADDRESS,INT
INIT_VAL7=
COMMENT7=
SAVE7=FALSE
VAR8=WORD_CNT,INT
INIT_VAL8=
COMMENT8=
SAVE8=FALSE
VAR9=TIMEOUT,BOOL
INIT_VAL9=
COMMENT9=
SAVE9=FALSE
VAR10=TMP_DATA,CARD_DAT
INIT_VAL10=
COMMENT10=
SAVE10=FALSE

[PARAMETERS]
NAME=GPS
OBJ_ENTRY_POINT=_GPS
CHECKSUM_16=0
CHECKSUM_32=33499
PAR1=SET_PLC,IN,BOOL,2
PAR2=SET_GPS,IN,BOOL,3
PAR3=IW_ADDR,IN,INT,5
PAR4=MW_ADDR,IN,INT,6
PAR5=OFFSET,IN,INT,9
PAR6=IEEE1388,IN,BOOL,10
PAR7=ERROR,OUT,BOOL,2
PAR8=GPS_CLK,OUT,BOOL,5
PAR9=IRIG_CLK,OUT,BOOL,6
PAR10=INTERNAL,OUT,BOOL,7
PAR11=GOOD,OUT,BOOL,9
PAR12=FAIR,OUT,BOOL,10
PAR13=POOR,OUT,BOOL,11
PAR14=BAD,OUT,BOOL,12

INIT_VAL_PAR1=
ACCESS_RIGHT_HMI1=READ_WRITE
ACCESS_RIGHT_USER1=READ_WRITE
INIT_VAL_PAR2=
ACCESS_RIGHT_HMI2=READ_WRITE
ACCESS_RIGHT_USER2=READ_WRITE
INIT_VAL_PAR3=
ACCESS_RIGHT_HMI3=READ_WRITE
ACCESS_RIGHT_USER3=READ_WRITE
INIT_VAL_PAR4=
ACCESS_RIGHT_HMI4=READ_WRITE
ACCESS_RIGHT_USER4=READ_WRITE
INIT_VAL_PAR5=
ACCESS_RIGHT_HMI5=READ_WRITE
ACCESS_RIGHT_USER5=READ_WRITE
INIT_VAL_PAR6=
ACCESS_RIGHT_HMI6=READ_WRITE
ACCESS_RIGHT_USER6=READ_WRITE
INIT_VAL_PAR7=
ACCESS_RIGHT_HMI7=READ_WRITE
ACCESS_RIGHT_USER7=READ_WRITE
INIT_VAL_PAR8=
ACCESS_RIGHT_HMI8=READ_WRITE
ACCESS_RIGHT_USER8=READ_WRITE
INIT_VAL_PAR9=
ACCESS_RIGHT_HMI9=READ_WRITE
ACCESS_RIGHT_USER9=READ_WRITE
INIT_VAL_PAR10=
ACCESS_RIGHT_HMI10=READ_WRITE
ACCESS_RIGHT_USER10=READ_WRITE
INIT_VAL_PAR11=
ACCESS_RIGHT_HMI11=READ_WRITE
ACCESS_RIGHT_USER11=READ_WRITE
INIT_VAL_PAR12=
ACCESS_RIGHT_HMI12=READ_WRITE
ACCESS_RIGHT_USER12=READ_WRITE
INIT_VAL_PAR13=
ACCESS_RIGHT_HMI13=READ_WRITE
ACCESS_RIGHT_USER13=READ_WRITE
INIT_VAL_PAR14=
ACCESS_RIGHT_HMI14=READ_WRITE
ACCESS_RIGHT_USER14=READ_WRITE

[COMPATIBILITY_INFORMATIONS]
LFfmt_ATRIUM=1,1,1,1
LFfmt_MOMENTUM=1,1
LFfmt_PREMIUM=1,1,1,1
LFfmt_MICRO=1,1
LFos_ATRIUM=1,1,1,1
LFfmt_QUANTUM=1,1,1,1
LFos_PREMIUM=1,1,1,1
LFos_MOMENTUM=1,1
LFos_MICRO=1,1
LFos_QUANTUM=1,1,1,1

[TARGET_IMPLEMENTATION]
MICRO=EXTERNAL,EXTERNAL
QUANTUM=EXTERNAL,EXTERNAL,EXTERNAL,EXTERNAL
ATRIUM=EXTERNAL,EXTERNAL,EXTERNAL,EXTERNAL
MOMENTUM=EXTERNAL,EXTERNAL
PREMIUM=EXTERNAL,EXTERNAL,EXTERNAL,EXTERNAL

